ThinkAdmin for PHP
--
* ThinkAdmin 是一个基于 Thinkphp 5.0.x 开发的后台管理系统，集成后台系统常用功能。
* 项目安装及二次开发请参考 ThinkPHP 官方文档及下面的服务环境说明，数据库 sql 文件存放于项目根目录下。
> 注意：项目测试请另行搭建环境并创建数据库（数据库配置 application/database.php）, 切勿直接使用测试环境数据！


Documentation
--
PHP开发技术交流（QQ群 513350915）

[![PHP微信开发群 (SDK)](http://pub.idqqimg.com/wpa/images/group.png)](http://shang.qq.com/wpa/qunwpa?idkey=ae25cf789dafbef62e50a980ffc31242f150bc61a61164458216dd98c411832a) 


Repositorie
--
 ThinkAdmin 为开源项目，允许把它用于任何地方，不受任何约束，欢迎 fork 项目。
>* GitHub 托管地址：https://github.com/zoujingli/ThinkAdmin
>* OSChina 托管地址：http://git.oschina.net/zoujingli/ThinkAdmin


Module
--
* 简易`RBAC`权限管理（用户、权限、节点、菜单控制）
* 自建秒传文件上载组件（本地存储、七牛云存储，阿里云OSS存储）
* 基站数据服务组件（唯一随机序号、表单更新）
* `Http`服务组件（原生`CURL`封装，兼容PHP多版本）
* 微信公众号服务组件（基于[wechat-php-sdk](https://github.com/zoujingli/wechat-php-sdk)，微信网页授权获取用户信息、已关注粉丝管理、自定义菜单管理等等）
* 微信商户支付服务组件（基于[wechat-php-sdk](https://github.com/zoujingli/wechat-php-sdk)，支持JSAPI支付、扫码模式一支付、扫码模式二支付）
* 测试公众号名称：思过崖思过 （大家可以关注它来进行简单的测试）
* 更多组件开发中...


Environment
---
>1. PHP 版本不低于 PHP5.4，推荐使用 PHP7 以达到最优效果；
>2. 需开启 PATHINFO，不再支持 ThinkPHP 的 URL 兼容模式运行（源于如何优雅的展示）。

* Apache

```xml
<IfModule mod_rewrite.c>
  Options +FollowSymlinks -Multiviews
  RewriteEngine On
  RewriteCond %{REQUEST_FILENAME} !-d
  RewriteCond %{REQUEST_FILENAME} !-f
  RewriteRule ^(.*)$ index.php/$1 [QSA,PT,L]
</IfModule>
```

* Nginx

```
server {
	listen 80;
	server_name wealth.demo.cuci.cc;
	root /home/wwwroot/ThinkAdmin;
	index index.php index.html index.htm;
	
	add_header X-Powered-Host $hostname;
	fastcgi_hide_header X-Powered-By;
	
	if (!-e $request_filename) {
		rewrite  ^/(.+?\.php)/?(.*)$  /$1/$2  last;
		rewrite  ^/(.*)$  /index.php/$1  last;
	}
	
	location ~ \.php($|/){
		fastcgi_index   index.php;
		fastcgi_pass    127.0.0.1:9000;
		include         fastcgi_params;
		set $real_script_name $fastcgi_script_name;
		if ($real_script_name ~ "^(.+?\.php)(/.+)$") {
			set $real_script_name $1;
		}
		fastcgi_split_path_info ^(.+?\.php)(/.*)$;
		fastcgi_param   PATH_INFO               $fastcgi_path_info;
		fastcgi_param   SCRIPT_NAME             $real_script_name;
		fastcgi_param   SCRIPT_FILENAME         $document_root$real_script_name;
		fastcgi_param   PHP_VALUE               open_basedir=$document_root:/tmp/:/proc/;
		access_log      /home/wwwlog/domain_access.log    access;
		error_log       /home/wwwlog/domain_error.log     error;
	}
	
	location ~ .*\.(gif|jpg|jpeg|png|bmp|swf)$ {
		access_log  off;
		error_log   off;
		expires     30d;
	}
	
	location ~ .*\.(js|css)?$ {
		access_log   off;
		error_log    off;
		expires      12h;
	}
}
```

Copyright
--
* ThinkAdmin 基于`MIT`协议发布，任何人可以用在任何地方，不受约束
* ThinkAdmin 部分代码来自互联网，若有异议，可以联系作者进行删除


Sponsor
--
![赞助](http://static.thinkadmin.top/pay.png)

项目版本
--
体验账号及密码都是`admin`
* v1 基于 ThinkPHP5.0 开发

> 在线体验地址：https://v1.thinkadmin.top

> Gitee 代码地址：https://gitee.com/zoujingli/ThinkAdmin/tree/v1

> Github 代码地址：https://github.com/zoujingli/ThinkAdmin/tree/v1

* v2 基于 ThinkPHP5.0 开发

> 在线体验地址：https://v2.thinkadmin.top

> Gitee 代码地址：https://gitee.com/zoujingli/ThinkAdmin/tree/v2

> Github 代码地址：https://github.com/zoujingli/ThinkAdmin/tree/v2

* v3 基于 ThinkPHP5.1 开发

> 在线体验地址：https://v3.thinkadmin.top

> Gitee 代码地址：https://gitee.com/zoujingli/ThinkAdmin/tree/v3

> Github 代码地址：https://github.com/zoujingli/ThinkAdmin/tree/v3

* v4 基于 ThinkPHP5.1 开发

> 在线体验地址：https://v4.thinkadmin.top

> Gitee 代码地址：https://gitee.com/zoujingli/ThinkAdmin/tree/v4

> Github 代码地址：https://github.com/zoujingli/ThinkAdmin/tree/v4
